Products
List product variants
Developer API operation for GET /dev/v1/products//variants.
GET
/
dev
/
v1
/
products
/
{id}
/
variants
List product variants
curl --request GET \
--url https://api.shoppex.io/dev/v1/products/{id}/variants \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shoppex.io/dev/v1/products/{id}/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/products/{id}/variants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/products/{id}/variants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/products/{id}/variants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "variant_1",
"uniqid": "variant_1",
"product_uniqid": "prod_1",
"file_id": "550e8400-e29b-41d4-a716-446655440000",
"dynamic_webhook": "https://example.com/variant-hook",
"title": "Gold",
"description": null,
"price": 12,
"price_modifier": null,
"stock": 5,
"stock_delimiter": null,
"license_period": null,
"option_values": {
"region": "eu"
},
"is_default": true,
"sort_order": 0,
"created_at": 1711953600,
"updated_at": 1711953900
}
],
"pagination": {
"next_cursor": null,
"has_more": false
}
}⌘I
List product variants
